int Resi(int N, int K, int* L, char** A, char* S) {
	//S[1] = 'a';
	for(int i = 1; i <= N; i++) {
        for(int j = 1; j <= L[i]; j++) {
            if(A[i][j] - 'a' + 1 > K) return -1
        }
	}
	S[1] = 'a';
	return 1;
}